Oneport Docs
ApiV1WorkspacesSlugPostsSearch

/v1/workspaces/{slug}/posts/search

GET
/v1/workspaces/{slug}/posts/search

Path Parameters

slug*string

Query Parameters

q*string
board?string
limit?integer

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/acme/posts/search?q=string"
{  "items": [    {      "id": "string",      "title": "string",      "content": "string",      "boardId": "string",      "status": {        "slug": "string",        "name": "string",        "color": "string"      },      "voteCount": 0,      "commentCount": 0,      "verified": true,      "moderationState": "approved",      "voted": true,      "mergedInto": {        "id": "string",        "title": "string"      },      "mergedPosts": [        {          "id": "string",          "title": "string",          "voteCount": 0        }      ],      "createdAt": "string",      "similarity": 0    }  ]}
{  "error": "string"}